Public Date:
594921: CVE-2010-1635, CVE-2010-1642 samba: denial of service vulnerabilities

The MITRE CVE dictionary describes this issue as:

The chain_reply function in process.c in smbd in Samba before 3.4.8 and 3.5.x before 3.5.2 allows remote attackers to cause a denial of service (NULL pointer dereference and process crash) via a Negotiate Protocol request with a certain 0x0003 field value followed by a Session Setup AndX request with a certain 0x8003 field value.

Find out more about CVE-2010-1635 from the MITRE CVE dictionary dictionary and NIST NVD.


Not vulnerable. These issues did not affect the versions of samba as shipped with Red Hat Enterprise Linux 3, 4, or 5.